<form class="section" [formGroup]="previousApplicationsDeterminationsFormGroup">
  <div fxLayout="column" flex class="previous-applications-determinations-inner-client-banner" style="margin-top: 10px">
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="start" class="inner-banner-row">
      <span fxLayout="row">
        <span>
          <b>Client # :</b>
          &nbsp;
          {{ clientData ? clientData.pactClientId : '' }}
        </span>
        <span>
          <b>Name :</b>
          &nbsp;
          {{ clientData ? (clientData.lastName + ', ' + clientData.firstName | uppercase) : '' }}
        </span>
        <span>
          <b>Social Security # :</b>
          &nbsp;
          {{ clientData ? (clientData.ssn | mask: '000-00-0000') : '' }}
        </span>
        <span>
          <b>Date of Birth :</b>
          &nbsp;
          {{ clientData ? clientData.dob : '' }}
        </span>
        <span>
          <b>Gender :</b>
          &nbsp;
          {{ clientData ? clientData.genderTypeDescription : '' }}
        </span>
        <span>
          <b>CIN :</b>
          &nbsp;
          {{ clientData ? clientData.cin : '' }}
        </span>
      </span>
    </div>
  </div>
  <div fxLayout="row" fxLayout.lt-md="column" style="width: 100%; margin-top:15px">
    <div fxLayout="column" style="width: 100%">
      <ag-grid-angular style="width: 100%" class="ag-theme-balham previous-applications-determinations-grid"
        [rowData]="existingApprovalsRowData" [columnDefs]="existingApprovalsColumnDefs"
        (gridReady)="existingApprovalsGridReady($event)" [floatingFilter]="true" [animateRows]="false"
        [overlayNoRowsTemplate]="existingApprovalsOverlayNoRowsTemplate" [context]="existingApprovalsContext"
        [frameworkComponents]="existingApprovalsFrameworkComponents" [defaultColDef]="existingApprovalsDefaultColDef"
        [pagination]="true" [paginationPageSize]="10">
      </ag-grid-angular>
    </div>
  </div>
</form>